Subject: Re: bug#57207: 29.0.50; Fontification is slow after e7b5912b23 (Improvements to long lines handling)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Aug 2022 19:11:38 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 19 Aug 2022 18:08:00 +0200
> 
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > I tried reproducing this on Macos, but it doesn't happen there.  Are
> > there Linux-specific code paths in this narrowing code?
> 
> No, hang on -- I can reproduce it on Macos, too, after installing
> ispell.
> 
> Could the reason you're not seeing this be because flyspell-mode doesn't
> trigger for you?

What do you mean by "does not trigger"?  The function
safe_run_hooks_maybe_narrowed does get called, and I see the symbol of
the post-command-hook it runs.

Didn't you say the reproduction recipe doesn't work in "emacs -Q",
only in some session of yours?  If so, maybe what you have in that
session explains why you see it and I don't?